using TecniStamp.Domain;

namespace TecniStamp.Model.Commesse;

public class ProvinciaIstatViewModel : BaseViewModel
{
    public string Sigla { get; set; }
    public string Provincia { get; set; }
    
    public override void Validate()
    {
        
    }

    public static implicit operator ProvinciaIstatViewModel(ProvinciaIstat model)
    {
        return model == null
            ? null
            : new ProvinciaIstatViewModel()
            {
                Provincia = model.Provincia,
                Sigla = model.Sigla,
                Id = model.Id
            };
    }
}